Bug 1310295 - [abrt] xorg-x11-server-Xorg: xf86ScreenToScrn(): Xorg killed by SIGABRT
[abrt] xorg-x11-server-Xorg: xf86ScreenToScrn(): Xorg killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3f1416acb042388920cabf38f84...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 23:37 EST by James Boyle
Modified: 2016-12-20 13:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:52:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: Xorg.0.log.old (25.03 KB, text/plain)
2016-02-19 23:37 EST, James Boyle
no flags Details
File: backtrace (22.66 KB, text/plain)
2016-02-19 23:37 EST, James Boyle
no flags Details
File: cgroup (204 bytes, text/plain)
2016-02-19 23:37 EST, James Boyle
no flags Details
File: core_backtrace (2.71 KB, text/plain)
2016-02-19 23:37 EST, James Boyle
no flags Details
File: dso_list (5.76 KB, text/plain)
2016-02-19 23:37 EST, James Boyle
no flags Details
File: environ (14 bytes, text/plain)
2016-02-19 23:37 EST, James Boyle
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-19 23:37 EST, James Boyle
no flags Details
File: maps (41.79 KB, text/plain)
2016-02-19 23:37 EST, James Boyle
no flags Details
File: mountinfo (3.66 KB, text/plain)
2016-02-19 23:37 EST, James Boyle
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-19 23:37 EST, James Boyle
no flags Details
File: open_fds (2.65 KB, text/plain)
2016-02-19 23:38 EST, James Boyle
no flags Details
File: proc_pid_status (1005 bytes, text/plain)
2016-02-19 23:38 EST, James Boyle
no flags Details
File: var_log_messages (289 bytes, text/plain)
2016-02-19 23:38 EST, James Boyle
no flags Details

  None (edit)
Description James Boyle 2016-02-19 23:37:48 EST
Description of problem:
This is a recurring issue (over 10 times in 2 weeks), where my Mate/X session dies and with a black screen, then I am kicked back to the display manager login screen.

I haven't found a definite trigger or specific action that always causes the crash, but it has happened more often than not while I am using remmina (NX plugin) or virt-viewer.

The hardware is a Lenovo T530, (2359CTO)
[    0.000000] Reserving Intel graphics stolen memory at 0xdba00000-0xdf9fffff
[    1.693629] [drm] Initialized drm 1.1.0 20060810
[    1.891932] [drm] Memory usable by graphics device = 2048M
[    1.891935] [drm] Replacing VGA console driver
[    1.898910] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    1.898921] [drm] Driver supports precise vblank timestamp query.
[    1.925723] [drm] Initialized i915 1.6.0 20150731 for 0000:00:02.0 on minor 0
[    1.985797] [drm] GMBUS [i915 gmbus dpb] timed out, falling back to bit banging on pin 5
[    1.995718] fbcon: inteldrmfb (fb0) is primary device
[    2.238462] [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[    2.238510] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun
[    2.808145] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device

I did experience this issue twice on a Dell Optiplex workstation twice in the November-December timeframe, but I have not seen it on that machine since.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg -background none :0 -seat seat0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt1 -novtswitch
crash_function: xf86ScreenToScrn
executable:     /usr/libexec/Xorg
global_pid:     1446
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #4 xf86ScreenToScrn at xf86Helper.c:1930
 #5 to_sna_from_screen at sna.h:483
 #6 to_sna_from_drawable at sna.h:500
 #7 sna_composite_rectangles at sna_composite.c:790
 #8 ProcRenderFillRectangles at render.c:1427
 #9 Dispatch at dispatch.c:430
 #10 dix_main at main.c:300
 #12 _start
Comment 1 James Boyle 2016-02-19 23:37:52 EST
Created attachment 1128707 [details]
File: Xorg.0.log.old
Comment 2 James Boyle 2016-02-19 23:37:53 EST
Created attachment 1128708 [details]
File: backtrace
Comment 3 James Boyle 2016-02-19 23:37:54 EST
Created attachment 1128709 [details]
File: cgroup
Comment 4 James Boyle 2016-02-19 23:37:55 EST
Created attachment 1128710 [details]
File: core_backtrace
Comment 5 James Boyle 2016-02-19 23:37:55 EST
Created attachment 1128711 [details]
File: dso_list
Comment 6 James Boyle 2016-02-19 23:37:56 EST
Created attachment 1128712 [details]
File: environ
Comment 7 James Boyle 2016-02-19 23:37:57 EST
Created attachment 1128713 [details]
File: limits
Comment 8 James Boyle 2016-02-19 23:37:58 EST
Created attachment 1128714 [details]
File: maps
Comment 9 James Boyle 2016-02-19 23:37:58 EST
Created attachment 1128715 [details]
File: mountinfo
Comment 10 James Boyle 2016-02-19 23:37:59 EST
Created attachment 1128716 [details]
File: namespaces
Comment 11 James Boyle 2016-02-19 23:38:00 EST
Created attachment 1128717 [details]
File: open_fds
Comment 12 James Boyle 2016-02-19 23:38:01 EST
Created attachment 1128718 [details]
File: proc_pid_status
Comment 13 James Boyle 2016-02-19 23:38:02 EST
Created attachment 1128719 [details]
File: var_log_messages
Comment 14 James Boyle 2016-05-11 23:29:42 EDT
Similar problem has been detected:

Not exactly sure, but this time it was only remmina (nx plugin) and a terminal open...

Happened several times within a few minutes too ):

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg -background none :0 -seat seat0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt1 -novtswitch
crash_function: xf86ScreenToScrn
executable:     /usr/libexec/Xorg
global_pid:     1375
kernel:         4.4.8-300.fc23.x86_64
package:        xorg-x11-server-Xorg-1.18.3-2.fc23
reason:         Xorg killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0
Comment 15 Fedora End Of Life 2016-11-24 10:39:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 13:52:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.